# Copyright 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models, fields


class CoSavoirsResPartner(models.Model):
    _inherit = "res.partner"

    is_opco = fields.Boolean('Est un OPCO')
    is_financer = fields.Boolean('Est un financeur')
    main_opco_id = fields.Many2one(
        comodel_name='res.partner',
        string='OPCO Principal',
        domain=[('is_opco', '=', True)],
        copy=False,
        track_visibility=True,)
    main_opco_num = fields.Char('Numéro adhérent')
    contact_opco_id = fields.Many2one(
        comodel_name='res.partner',
        string='Contact OPCO',
        domain=[('is_company', '=', False)],
        copy=False,
        track_visibility=True,)
    workforce = fields.Integer('Effectif')
    sector = fields.Selection(selection=[
        ('public', 'Public'),
        ('private', 'Privé')],
        string='Secteur')
    software = fields.Char("SIRH/DUI déployé")
